<template>
  <div class="container">
      <h1 class="title">List O' Link</h1>
      <LinkList :links="links" @refreshLinks="loadLinks" />
  </div>
</template>

<script>
import LinkList from  '~/components/LinkList';
export default {
  components: {LinkList},
  data() {
    return {
      links: []
    };
  },
  methods: {
    async loadLinks() {
      try {
        const res = await fetch('/.netlify/functions/getLinks');
        this.links = await res.json();
      } catch(e) {
        console.error(e);
      }
    }
  },
  beforeMount() {
    this.loadLinks();
  }
}
</script>

<style>
.container {
  margin: 0 auto;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  flex-wrap: wrap;
}

.title {
  font-family:
    'Quicksand',
    'Source Sans Pro',
    -apple-system,
    BlinkMacSystemFont,
    'Segoe UI',
    Roboto,
    'Helvetica Neue',
    Arial,
    sans-serif;
  display: block;
  font-weight: 300;
  font-size: 100px;
  color: #35495e;
  letter-spacing: 1px;
}

.subtitle {
  font-weight: 300;
  font-size: 42px;
  color: #526488;
  word-spacing: 5px;
  padding-bottom: 15px;
}

.links {
  padding-top: 15px;
}
</style>
